Loading...
Searching...
No Matches
wimlib_progress_info::wimlib_progress_info_scan Struct Reference

Valid on messages WIMLIB_PROGRESS_MSG_SCAN_BEGIN, WIMLIB_PROGRESS_MSG_SCAN_DENTRY, and WIMLIB_PROGRESS_MSG_SCAN_END. More...

`#include <wimlib.h>`

## Public Types

enum | { WIMLIB_SCAN_DENTRY_OK = 0 , WIMLIB_SCAN_DENTRY_EXCLUDED = 1 , WIMLIB_SCAN_DENTRY_UNSUPPORTED = 2 , WIMLIB_SCAN_DENTRY_FIXED_SYMLINK = 3 , WIMLIB_SCAN_DENTRY_NOT_FIXED_SYMLINK = 4 }
| Dentry scan status, valid on WIMLIB_PROGRESS_MSG_SCAN_DENTRY. More...

## Data Fields

const wimlib_tchar * | source
| Top-level directory being scanned; or, when capturing an NTFS volume with WIMLIB_ADD_FLAG_NTFS, this is instead the path to the file or block device that contains the NTFS volume being scanned.
const wimlib_tchar * | cur_path
| Path to the file (or directory) that has been scanned, valid on WIMLIB_PROGRESS_MSG_SCAN_DENTRY.
enum wimlib_progress_info::wimlib_progress_info_scan:: { ... } | status
| Dentry scan status, valid on WIMLIB_PROGRESS_MSG_SCAN_DENTRY.
union { |
const wimlib_tchar * wim_target_path |
| Target path in the image. More...
const wimlib_tchar * symlink_target |
| For WIMLIB_PROGRESS_MSG_SCAN_DENTRY and a status of `WIMLIB_SCAN_DENTRY_FIXED_SYMLINK` or `WIMLIB_SCAN_DENTRY_NOT_FIXED_SYMLINK`, this is the target of the absolute symbolic link or junction. More...
}; |
uint64_t | num_dirs_scanned
| The number of directories scanned so far, not counting excluded/unsupported files.
uint64_t | num_nondirs_scanned
| The number of non-directories scanned so far, not counting excluded/unsupported files.
uint64_t | num_bytes_scanned
| The number of bytes of file data detected so far, not counting excluded/unsupported files.

## Detailed Description

Valid on messages WIMLIB_PROGRESS_MSG_SCAN_BEGIN, WIMLIB_PROGRESS_MSG_SCAN_DENTRY, and WIMLIB_PROGRESS_MSG_SCAN_END.

## Member Enumeration Documentation

## anonymous enum

anonymous enum

Dentry scan status, valid on WIMLIB_PROGRESS_MSG_SCAN_DENTRY.

Enumerator
WIMLIB_SCAN_DENTRY_OK | File looks okay and will be captured.
WIMLIB_SCAN_DENTRY_EXCLUDED | File is being excluded from capture due to the capture configuration.
WIMLIB_SCAN_DENTRY_UNSUPPORTED | File is being excluded from capture due to being of an unsupported type.
WIMLIB_SCAN_DENTRY_FIXED_SYMLINK | The file is an absolute symbolic link or junction that points into the capture directory, and reparse-point fixups are enabled, so its target is being adjusted. (Reparse point fixups can be disabled with the flag WIMLIB_ADD_FLAG_NORPFIX.)
WIMLIB_SCAN_DENTRY_NOT_FIXED_SYMLINK | Reparse-point fixups are enabled, but the file is an absolute symbolic link or junction that does not point into the capture directory, so its target is not being adjusted.

## Field Documentation

## source

const wimlib_tchar* wimlib_progress_info::wimlib_progress_info_scan::source

Top-level directory being scanned; or, when capturing an NTFS volume with WIMLIB_ADD_FLAG_NTFS, this is instead the path to the file or block device that contains the NTFS volume being scanned.

## cur_path

const wimlib_tchar* wimlib_progress_info::wimlib_progress_info_scan::cur_path

Path to the file (or directory) that has been scanned, valid on WIMLIB_PROGRESS_MSG_SCAN_DENTRY.

When capturing an NTFS volume with WIMLIB_ADD_FLAG_NTFS, this path will be relative to the root of the NTFS volume.

## []

enum { ... } wimlib_progress_info::wimlib_progress_info_scan::status

Dentry scan status, valid on WIMLIB_PROGRESS_MSG_SCAN_DENTRY.

## wim_target_path

const wimlib_tchar* wimlib_progress_info::wimlib_progress_info_scan::wim_target_path

Target path in the image.

Only valid on messages WIMLIB_PROGRESS_MSG_SCAN_BEGIN and WIMLIB_PROGRESS_MSG_SCAN_END.

## symlink_target

const wimlib_tchar* wimlib_progress_info::wimlib_progress_info_scan::symlink_target

For WIMLIB_PROGRESS_MSG_SCAN_DENTRY and a status of `WIMLIB_SCAN_DENTRY_FIXED_SYMLINK` or `WIMLIB_SCAN_DENTRY_NOT_FIXED_SYMLINK`, this is the target of the absolute symbolic link or junction.

## [union]

union { ... } wimlib_progress_info::wimlib_progress_info_scan

## num_dirs_scanned

uint64_t wimlib_progress_info::wimlib_progress_info_scan::num_dirs_scanned

The number of directories scanned so far, not counting excluded/unsupported files.

## num_nondirs_scanned

uint64_t wimlib_progress_info::wimlib_progress_info_scan::num_nondirs_scanned

The number of non-directories scanned so far, not counting excluded/unsupported files.

## num_bytes_scanned

uint64_t wimlib_progress_info::wimlib_progress_info_scan::num_bytes_scanned

The number of bytes of file data detected so far, not counting excluded/unsupported files.

The documentation for this struct was generated from the following file:

- wimlib.h